flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mscharp <michael.sch...@fmr.com>
Subject RE: FlexMojos 6, Flex sdk 4.10.0.20130801, and getAdvancedTelemetry()
Date Thu, 12 Sep 2013 16:03:16 GMT
Thanks for the responses Chris.  Yeah, FM is a beast to build.  I can't say enough "Thank Yous"
for taking over the project.

So, my understanding was that FM had to be built against the version of the FDK you wanted
to use.  I'm assuming this is incorrect.  Has anyone tried using FM 6.0.1 with the 4.10 FDK?
 My only question with it having to do with the getAdvancedTelemetry() function that I had
to add to the FM source code.

As far as the RSLs, I read in the release notes that they aren't signed, and that it only
make sense to use RSLs if you are serving multiple flex applications from the same domain...
which we are.  So, previously in our pom files we had:

                                 <dependency>
                                                <groupId>com.adobe.flex.framework</groupId>
                                                <artifactId>framework</artifactId>
                                                <version>${flex.sdk.version}</version>
                                                <type>swc</type>
                                                <scope>caching</scope>
                                </dependency>
                                <dependency>
                                                <groupId>com.adobe.flex.framework</groupId>
                                                <artifactId>textLayout</artifactId>
                                                <version>${flex.sdk.version}</version>
                                                <type>swc</type>
                                                <scope>caching</scope>
                                </dependency>
                                <dependency>
                                                <groupId>com.adobe.flex.framework</groupId>
                                                <artifactId>charts</artifactId>
                                                <version>${flex.sdk.version}</version>
                                                <type>swc</type>
                                                <scope>caching</scope>
                                </dependency>
                                <dependency>
                                                <groupId>com.adobe.flex.framework</groupId>
                                                <artifactId>rpc</artifactId>
                                                <version>${flex.sdk.version}</version>
                                                <type>swc</type>
                                                <scope>caching</scope>
                                </dependency>
                                <dependency>
                                                <groupId>com.adobe.flex.framework</groupId>
                                                <artifactId>mx</artifactId>
                                                <version>${flex.sdk.version}</version>
                                                <type>swc</type>
                                                <scope>caching</scope>
                                </dependency>
                                <dependency>
                                                <groupId>com.adobe.flex.framework</groupId>
                                                <artifactId>advancedgrids</artifactId>
                                                <version>${flex.sdk.version}</version>
                                                <type>swc</type>
                                                <scope>caching</scope>
                                </dependency>
                                <dependency>
                                                <groupId>com.adobe.flex.framework</groupId>
                                                <artifactId>spark</artifactId>
                                                <version>${flex.sdk.version}</version>
                                                <type>swc</type>
                                                <scope>caching</scope>
                                </dependency>
                                <dependency>
                                                <groupId>com.adobe.flex.framework</groupId>
                                                <artifactId>sparkskins</artifactId>
                                                <version>${flex.sdk.version}</version>
                                                <type>swc</type>
                                                <scope>caching</scope>
                                </dependency>
                                <dependency>
                                                <groupId>com.adobe.flex.framework</groupId>
                                                <artifactId>spark_dmv</artifactId>
                                                <version>${flex.sdk.version}</version>
                                                <type>swc</type>
                                                <scope>caching</scope>
                                </dependency>

Currently I'm not listing any of these as dependencies in our new poms.  I've been following
what I've been able to find on the web as far as standard practices for what needs to be included
in the pom files, but a lot of them look a bit different than what we currently have in our
poms.  So, I'm not sure if I still need those dependencies listed or not.  If I do, would
the scope be "rsl" instead of "caching" and now look more like this?

                                <dependency>
                                                <groupId>com.adobe.flex.framework</groupId>
                                                <artifactId>spark_dmv</artifactId>
                                                <version>${flex.sdk.version}</version>
                                                <type>swc</type>
                                                <scope>rsl</scope>
                                </dependency>

Again, thanks everyone for the help.

Michael

From: christofer.dutz@c-ware.de [via Apache Flex Development] [mailto:ml-node+s2333347n29584h11@n4.nabble.com]
Sent: Thursday, September 12, 2013 6:00 AM
To: Scharp, Michael
Subject: AW: FlexMojos 6, Flex sdk 4.10.0.20130801, and getAdvancedTelemetry()

Yeah ... but in Flexmojos you can have a dependency of type "swc", "rsl" and "caching". Depending
on the type of dependency it loads different files from maven "swc", "swf" or "swz". The test-cases
utilizing the signed rsls have dependencies of type "Caching" and therefore maven Looks for
swz files, which it doesn't find and therefore the build Fails, causing the testsuite to fail.

Chris

________________________________________
Von: Justin Mclean [[hidden email]</user/SendEmail.jtp?type=node&node=29584&i=0>]
Gesendet: Donnerstag, 12. September 2013 02:45
An: [hidden email]</user/SendEmail.jtp?type=node&node=29584&i=1>
Betreff: Re: FlexMojos 6, Flex sdk 4.10.0.20130801, and getAdvancedTelemetry()

Hi,

> This is because we don't have any signed RSLs (SWZ Files).
Why do you need signed files? Apache Flex does come with RSLs they are just not signed.

Thanks,
Justin
________________________________
If you reply to this email, your message will be added to the discussion below:
http://apache-flex-development.2333347.n4.nabble.com/FlexMojos-6-Flex-sdk-4-10-0-20130801-and-getAdvancedTelemetry-tp29528p29584.html
To unsubscribe from FlexMojos 6, Flex sdk 4.10.0.20130801, and getAdvancedTelemetry(), click
here<http://apache-flex-development.2333347.n4.nabble.com/template/NamlServlet.jtp?macro=unsubscribe_by_code&node=29528&code=bWljaGFlbC5zY2hhcnBAZm1yLmNvbXwyOTUyOHwtMTU2NDIyNDE0NA==>.
NAML<http://apache-flex-development.2333347.n4.nabble.com/template/NamlServlet.jtp?macro=macro_viewer&id=instant_html%21nabble%3Aemail.naml&base=nabble.naml.namespaces.BasicNamespace-nabble.view.web.template.NabbleNamespace-nabble.view.web.template.NodeNamespace&breadcrumbs=notify_subscribers%21nabble%3Aemail.naml-instant_emails%21nabble%3Aemail.naml-send_instant_email%21nabble%3Aemail.naml>




--
View this message in context: http://apache-flex-development.2333347.n4.nabble.com/FlexMojos-6-Flex-sdk-4-10-0-20130801-and-getAdvancedTelemetry-tp29528p29594.html
Sent from the Apache Flex Development mailing list archive at Nabble.com.

Mime
View raw message